<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): tiglUtils.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e1c3629206a62d7880de84e139cd6012.html">src</a></li><li class="navelem"><a class="el" href="dir_5923310312939235796ca11289acda83.html">common</a></li><li class="navelem"><a class="el" href="dir_20920a7eed01af8cb7d7df1bcc41ed76.html">utils</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">tiglUtils.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="tiglUtilsOmpTools_8h_source.html">tiglUtilsOmpTools.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="tiglUtilsMpiTools_8h_source.html">tiglUtilsMpiTools.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="tiglUtilsCountEdges_8hpp_source.html">tiglUtilsCountEdges.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="tiglUtilsCheckSymmetry_8hpp_source.html">tiglUtilsCheckSymmetry.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="tiglUtilsMacros_8h_source.html">tiglUtilsMacros.h</a>&quot;</code><br />
</div>
<p><a href="tiglUtils_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gabc4f73f9c569080abea99832e65f2248"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__misc__tools.html#gabc4f73f9c569080abea99832e65f2248">tiglUtilsGenUrandom</a> (double *, unsigned long)</td></tr>
<tr class="memdesc:gabc4f73f9c569080abea99832e65f2248"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generates random variable(s) that is uniformly distributed between [0, 1].  <a href="group__misc__tools.html#gabc4f73f9c569080abea99832e65f2248">More...</a><br /></td></tr>
<tr class="separator:gabc4f73f9c569080abea99832e65f2248"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ba8419685cb5738bbe07568e82eec4e"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__misc__tools.html#ga0ba8419685cb5738bbe07568e82eec4e">tiglUtilsRegisterTime</a> ()</td></tr>
<tr class="memdesc:ga0ba8419685cb5738bbe07568e82eec4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the time in ns from the last call.  <a href="group__misc__tools.html#ga0ba8419685cb5738bbe07568e82eec4e">More...</a><br /></td></tr>
<tr class="separator:ga0ba8419685cb5738bbe07568e82eec4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2befdfe64cd356073493c2b7f0faf34d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2befdfe64cd356073493c2b7f0faf34d"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__misc__tools.html#ga2befdfe64cd356073493c2b7f0faf34d">tiglUtilsGetTimeUs</a> ()</td></tr>
<tr class="memdesc:ga2befdfe64cd356073493c2b7f0faf34d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the absolute reference time in us. <br /></td></tr>
<tr class="separator:ga2befdfe64cd356073493c2b7f0faf34d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga772a5f1377d8c6b66ab70f511e3dfc52"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga772a5f1377d8c6b66ab70f511e3dfc52"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__misc__tools.html#ga772a5f1377d8c6b66ab70f511e3dfc52">tiglUtilsAvailableMemory</a> ()</td></tr>
<tr class="memdesc:ga772a5f1377d8c6b66ab70f511e3dfc52"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the approximate available memory in MB. <br /></td></tr>
<tr class="separator:ga772a5f1377d8c6b66ab70f511e3dfc52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaf06b5f7ff4e33691bce745642e43c65"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__graph__gen.html#gaaf06b5f7ff4e33691bce745642e43c65">tiglGenerationPartitionGraph</a> (char *fileName, uint_fast32_t numPartitions)</td></tr>
<tr class="memdesc:gaaf06b5f7ff4e33691bce745642e43c65"><td class="mdescLeft">&#160;</td><td class="mdescRight">Partitions a graph to subgraphs with equal number of vertices.  <a href="group__graph__gen.html#gaaf06b5f7ff4e33691bce745642e43c65">More...</a><br /></td></tr>
<tr class="separator:gaaf06b5f7ff4e33691bce745642e43c65"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:52 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
